<%= form_with(model: lesson, local: true, multipart: true, html: { class: "needs-validation" }) do |form| %>
  <% if lesson.errors.any? %>
    <div class="alert alert-danger" role="alert">
      <h2><%= pluralize(lesson.errors.count, "error") %> prohibited this lesson from being saved:</h2>
      <ul>
        <% lesson.errors.each do |error| %>
          <li><%= error.full_message %></li>
        <% end %>
      </ul>
    </div>
  <% end %>

  <div class="mb-3">
    <%= form.label :title, class: "form-label" %>
    <%= form.text_field :title, class: "form-control" %>
  </div>

  <div class="mb-3">
    <%= form.label :description, class: "form-label" %>
    <%= form.text_area :description, class: "form-control tinymce", rows: 5 %>
  </div>

  <div class="mb-3">
    <%= form.label :video_url, class: "form-label" %>
    <%= form.text_field :video_url, class: "form-control" %>
  </div>

  <div class="mb-3">
    <%= form.label :thumbnail, class: "form-label" %>
    <%= form.file_field :thumbnail, class: "form-control" %>
  </div>

  <div class="mb-3">
    <%= form.submit class: "btn btn-primary" %>
  </div>
  
<% end %>
